apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: k8s-prod-process-m5a
spec:
  image: ami-01e58630c6fb43a44
  instanceMetadata:
    httpTokens: required
  machineType: m5a.xlarge
  manager: CloudGroup
  maxSize: 3
  minSize: 3
  nodeLabels:
    datasaker/group: process
    kops.k8s.io/instancegroup: k8s-prod-process-m5a
  role: Node
  rootVolumeSize: 100
  subnets:
  - ap-northeast-2c
  taints:
  - prod/process:NoSchedule
